package com.hai.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * mapper扩展类
 */
public interface HighActivityAwardUserMapperExt {

    @Select(" select insert(b.phone, 4, 4, '****') phone,a.name awardName,a.create_time receiveTime from \n" +
            " (select a.create_time, b.name,a.user_id " +
            " from high_activity_award_user a,high_activity_award b " +
            " where a.activity_award_id = b.id and a.activity_info_id = #{activityId} " +
            " ORDER BY a.create_time desc LIMIT 50) a" +
            " LEFT JOIN high_user b on b.id = a.user_id")
    List<Map<String, Object>> selectWinLotteryList(@Param("activityId") Long activityId);
}
