package com.hai.service;

import com.hai.entity.HighActivityAward;
import com.hai.entity.HighActivityAwardActualPrize;
import com.hai.entity.HighActivityAwardSerialNum;
import com.hai.entity.HighActivityPrize;

import java.util.List;

/**
 * 活动奖励
 * @author hurui
 */
public interface HighActivityAwardService {

    /**
     * 根据活动信息查询
     * @param activityId 活动基本信息
     * @return
     */
    List<HighActivityAward> getListByActivityId(Long activityId);

    /**
     * @Author Sum1Dream
     * @name getDetailById.java
     * @Description // 查询详情
     * @Date 10:22 2021/9/29
     * @Param [id]
     * @return com.hai.entity.HighActivityAward
     **/
    HighActivityAward getDetailById(Long id);

    /**
     * @Author Sum1Dream
     * @name editHighActivateAward.java
     * @Description //编辑活动奖励名次
     * @Date 9:33 2021/9/29
     * @Param [highActivityAward]
     * @return void
     **/
    void editHighActivateAward(HighActivityAward highActivityAward , List<HighActivityPrize> highActivityPrizes)  throws Exception ;

}
